# Uc Metastores

Configure the Unity Catalog hierarchy and administrative resources

## Endpoints

### Create Accounts Metastore

- [POST /api/2.0/accounts/{account_id}/metastores](v1/create-accounts-metastore.md)

### Create Accounts Metastore Assignment

- [POST /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}](v1/create-accounts-metastore-assignment.md)

### Delete Accounts Metastore

- [DELETE /api/2.0/accounts/{account_id}/metastores/{metastore_id}](v1/delete-accounts-metastore.md)

### Delete Accounts Metastore Assignment

- [DELETE /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}](v1/delete-accounts-metastore-assignment.md)

### Get Accounts Metastore

- [GET /api/2.0/accounts/{account_id}/metastores/{metastore_id}](v1/get-accounts-metastore.md)

### List Accounts Metastores

- [GET /api/2.0/accounts/{account_id}/metastores](v1/list-accounts-metastores.md)

### Update Accounts Metastore

- [PUT /api/2.0/accounts/{account_id}/metastores/{metastore_id}](v1/update-accounts-metastore.md)

### Update Accounts Metastore Assignment

- [PUT /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastores/{metastore_id}](v1/update-accounts-metastore-assignment.md)

### Get Metastore Assignment

- [GET /api/2.0/accounts/{account_id}/workspaces/{workspace_id}/metastore](v1/get-metastore-assignment.md)

### List Metastore Assignments

- [GET /api/2.0/accounts/{account_id}/metastores/{metastore_id}/workspaces](v1/list-metastore-assignments.md)

